Bug 1529524 (CVE-2017-17942)

Summary: CVE-2017-17942 libtiff: Heap-based buffer overflow in PackBitsEncode function in tif_packbits.c
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: erik-fedora, mike, nforro, phracek, tgl
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:35:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1529525, 1529526, 1529527, 1529528    
Bug Blocks:    

Description Pedro Sampaio 2017-12-28 14:07:59 UTC
A flaw was foung in LibTIFF 4.0.9. There is a heap-based buffer over-read in the function PackBitsEncode in tif_packbits.c that could lead to information disclosure and denial of service.

Upstream bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2767

Comment 1 Pedro Sampaio 2017-12-28 14:08:56 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1529528]


Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1529526]
Affects: fedora-all [bug 1529525]